Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class DateRecurrence.DateIterator

    java.lang.Object
      |
      +--com.compoze.ebusiness.DateRecurrence.DateIterator

All Implemented Interfaces:
  java.util.Iterator, java.io.Serializable

Enclosing class:
  DateRecurrence

public class DateRecurrence.DateIterator
extends java.lang.Object
implements java.util.Iterator, java.io.Serializable

This class is an iterator that returns the dates in a `DateRecurrence`. WARNING: The bySetPos rule is not applied for this iterator.

See Also:
  Serialized Form

Constructor Summary
`DateRecurrence.DateIterator(java.util.Calendar calendar, java.util.Date startDate, java.util.Date endDate)` Constructor.

Method Summary
`boolean` | `hasNext()` Returns true if the iteration has more elements.
`java.lang.Object` | `next()` Returns the next element in the iteration.
`void` | `remove()` Removes the last element returned by the iterator (not implemented).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateRecurrence.DateIterator

    public DateRecurrence.DateIterator(java.util.Calendar calendar,
                                       java.util.Date startDate,
                                       java.util.Date endDate)

  Constructor. An iterator that returns all of the dates is created.
  Parameters:
    `calendar` - the calendar to use to apply the rules (should be constructed with appropriate time zone and locale)
    `startDate` - start date, or null for start date of rule
    `endDate` - end date, or null to use until date of rule, which if it is null, yields the possibility that this method will loop indefinitely

Method Detail

### hasNext

    public boolean hasNext()

  Returns true if the iteration has more elements.
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if the iteration has more elements

### next

    public java.lang.Object next()

  Returns the next element in the iteration.
  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next element in the iteration

### remove

    public void remove()

  Removes the last element returned by the iterator (not implemented).
  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException` - because the method is not implemented

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.